## net.sf.statsvn.util
Interface ISvnDiffProcessor

All Known Implementing Classes:
  SvnDiffUtils, SvnKitDiff

    public interface ISvnDiffProcessor

Performs svn diff queries.

Author:
  jkealey

Method Summary
`java.util.Vector` `getLineDiff(java.lang.String newRevNr)` Returns line count differences for all files in a particular revision.
`int[]` `getLineDiff(java.lang.String oldRevNr, java.lang.String newRevNr, java.lang.String filename)` Returns line count differences between two revisions of a file.

Method Detail

### getLineDiff

    int[] getLineDiff(java.lang.String oldRevNr,
                      java.lang.String newRevNr,
                      java.lang.String filename)
                      throws java.io.IOException,
                             BinaryDiffException

  Returns line count differences between two revisions of a file.

  Parameters:
    `oldRevNr` - old revision number
    `newRevNr` - new revision number
    `filename` - the filename
  Returns:
    A int[2] array of [lines added, lines removed] is returned.
  Throws:
    `java.io.IOException` - problem parsing the stream
    `BinaryDiffException` - if the error message is due to trying to diff binary files.

### getLineDiff

    java.util.Vector getLineDiff(java.lang.String newRevNr)
                                 throws java.io.IOException,
                                        BinaryDiffException

  Returns line count differences for all files in a particular revision.

  Parameters:
    `newRevNr` - new revision number
  Returns:
    A vector of object[3] array of [filename, int[2](lines added, lines removed), isBinary] is returned.
  Throws:
    `java.io.IOException` - problem parsing the stream
    `BinaryDiffException` - if the error message is due to trying to diff binary files.